services:
    nelmio_security.encrypted_cookie_listener:
        class: Nelmio\SecurityBundle\EventListener\EncryptedCookieListener
        arguments:
            - '@nelmio_security.encrypter'
            - '%nelmio_security.encrypted_cookie.names%'
        tags:
            - { name: kernel.event_listener, event: kernel.request, method: onKernelRequest, priority: 9999 }
            - { name: kernel.event_listener, event: kernel.response, method: onKernelResponse, priority: -9999 }
    nelmio_security.encrypter:
        class: Nelmio\SecurityBundle\Encrypter
        arguments:
            - '%nelmio_security.encrypter.secret%'
            - '%nelmio_security.encrypter.algorithm%'
